local bt=60/127 --beattime, 60 seconds over 127 bpm


return Def.ActorFrame{

	InitCommand=function(self)

		self:sleep(9999)

		--SCREENMAN:SystemMessage("hey")

	end,

	

	Def.Sprite{

		Name="dk",

		Texture="../_Graphics/here",

		InitCommand=function(self)

			self:zoomto(SCREEN_WIDTH,SCREEN_HEIGHT):xy(SCREEN_CENTER_X,SCREEN_CENTER_Y):diffusealpha(0)
		end, --InitCommand()
		

		OnCommand=function(self)

			self:linear(0):diffusealpha(1)
			:sleep(bt*0.5)
			:linear(0.25):diffusealpha(0)
		end --OnCommand()

		
	} --Def.Sprite
}